package app

type Domain struct {
	Domain           string `db:"domain"`
	DisplayName      string `db:"display_name"`
	DisplayShortName string `db:"display_shortname"`
	IMAPEnabled      bool   `db:"imap_enabled"`
	IMAPServer       string `db:"imap_server"`
	IMAPPort         int    `db:"imap_port"`
	IMAPSSL          bool   `db:"imap_ssl"`
	IMAPSPA          bool   `db:"imap_spa"`
	POP3Enabled      bool   `db:"pop3_enabled"`
	POP3Server       string `db:"pop3_server"`
	POP3Port         int    `db:"pop3_port"`
	POP3SSL          bool   `db:"pop3_ssl"`
	POP3SPA          bool   `db:"pop3_spa"`
	SMTPEnabled      bool   `db:"smtp_enabled"`
	SMTPServer       string `db:"smtp_server"`
	SMTPPort         int    `db:"smtp_port"`
	SMTPSSL          bool   `db:"smtp_ssl"`
	SMTPTLS          bool   `db:"smtp_tls"`
	SMTPSPA          bool   `db:"smtp_spa"`
	POPBeforeSMTP    bool   `db:"pop_before_smtp"`
	DomainRequired   bool   `db:"domain_required"`
	Username         string
}
