package main

import (
	"fmt"

	"git.asperti.com/paspo/mail-autoconfig/internal/app"
	"git.asperti.com/paspo/mail-autoconfig/internal/config"
	"git.asperti.com/paspo/mail-autoconfig/internal/db"
)

// "github.com/sirupsen/logrus"
// "github.com/snykk/go-rest-boilerplate/cmd/api/server"
// "github.com/snykk/go-rest-boilerplate/internal/config"
// "github.com/snykk/go-rest-boilerplate/internal/constants"
// "github.com/snykk/go-rest-boilerplate/pkg/logger"

func init() {
	if err := config.InitConfig(); err != nil {
		// logger.Fatal(err.Error(), logrus.Fields{constants.LoggerCategory: constants.LoggerCategoryConfig})
		fmt.Printf("ko config\n")
	}
	if err := db.InitDB(); err != nil {
		// logger.Fatal(err.Error(), logrus.Fields{constants.LoggerCategory: constants.LoggerCategoryConfig})
		fmt.Printf("ko db\n")
	}

}

func main() {
	fmt.Printf("ciao\n")
	if err := app.FetchAllDomains(); err != nil {
		fmt.Printf("ko fetch\n")
	}
	app.Start()
}
